import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CleanArrayPipe implements PipeTransform {
    /**
     * Removes all falsy values from the provided array.
     *
     * @param value The values that need to be stripped of falsy values.
     * @param exceptions The falsy values that may be included in the filtered array.
     * @returns The filtered array.
     */
    transform(value: any[], exceptions?: any[]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<CleanArrayPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<CleanArrayPipe, "cleanArray", false>;
}
