import { PipeTransform } from '@angular/core';
import * as i0 from "@angular/core";
export declare class EntriesPipe implements PipeTransform {
    /**
     * Transforms a record into a [key, value] array
     *
     * @param value - The provided record
     */
    transform(value: Record<string, unknown>): [string, unknown][];
    static ɵfac: i0.ɵɵFactoryDeclaration<EntriesPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<EntriesPipe, "entries", false>;
}
