import { PipeTransform } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class SafeHtmlPipe implements PipeTransform {
    private readonly sanitized;
    constructor(sanitized: DomSanitizer);
    /**
     * Maps a provided string value to a sanitized string
     *
     * @param value - A provided string with HTML items
     */
    transform(value: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<SafeHtmlPipe, never>;
    static ɵpipe: i0.ɵɵPipeDeclaration<SafeHtmlPipe, "safeHtml", false>;
}
