import { BehaviorSubject } from 'rxjs';
export declare const windowMock: (spy: unknown) => {
    addEventListener: unknown;
    defaultView: {
        scrollTo: () => any;
        innerWidth: number;
        addEventListener: unknown;
    };
};
export declare const windowServiceMock: (spy: unknown, width?: number) => {
    width: BehaviorSubject<number>;
    window: {
        addEventListener: unknown;
        defaultView: {
            scrollTo: () => any;
            innerWidth: number;
            addEventListener: unknown;
        };
    };
    scrollTo: () => any;
    hasDocument: () => boolean;
    isBrowser: () => boolean;
};
